/*
 * @Author: zjq
 * @description 考试培训-在线培训-阅卷管理
 */
import request from '@/utils/request';
/**
 * @description 获取阅卷列表
 * @param {object} data
 */
export const getMarkingList = (data?: object) => {
	return request({
		url: '/api/v1/UserExam/GetGradingPagedList',
		method: 'post',
		data,
	});
};
/**
 * @description 获取阅卷详情人员
 * @param {object} params
 */
export const getMarkingDetailUser = (params?: object) => {
	return request({
		url: '/api/v1/UserExam/GetUserList',
		method: 'get',
		params,
	});
};
/**
 * @description 根据试卷人员ID获取阅卷详情
 * @param {object} params
 */
export const getMarkingDetailByUser = (params?: object) => {
	return request({
		url: '/api/v1/UserExam/GetGradingQuestions',
		method: 'get',
		params,
	});
};
/**
 * @description 批量阅卷
 * @param {object} data
 */
export const batchMarking = (data: object) => {
	return request({
		url: '/api/v1/UserExam/BatchGrading',
		method: 'post',
		data,
	});
}
/**
 * @description 完成阅卷
 * @param {object} data
 */
export const finishMarking = (data: object) => {
	return request({
		url: '/api/v1/UserExam/CompleteGrading',
		method: 'post',
		data,
	});
};
/**
 * @description 获取阅卷试题
 * @param {object} params
 */
export const getMarkingQuestion = (params?: object) => {
	return request({
		url: '/api/v1/UserExam/GetGradingQuestions',
		method: 'post',
		data: params,
	});
};
