/*
 * @Author: zc
 * @description 工单延期-待办
 */
import request from '@/utils/request';

/**
 * @description 延期工单待办列表
 * @param {object} params
 */
export const delayList = (params: object) => {
	return request({
		url: `/api/v1/Order/wait_delay`,
		method: 'get',
		params,
	});
};
/**
 * @description 查询延期待审批
 * @param {object} params
 */
export const delayApprovalList = (params: object) => {
	return request({
		url: `/api/v1/OrderDelay/waited`,
		method: 'get',
		params,
	});
};
/**
 * @description 查询延期待审批总数
 * @param {object} params
 */
export const delayApprovalCount = (params: object) => {
	return request({
		url: `/api/v1/OrderDelay/waited/count`,
		method: 'get',
		params,
	});
};
/**
 * @description 延期工单待办列表导出
 * @param {object} data
 */
export const waitDelayListExport = (data: object) => {
	return request(
		{
			url: `/api/v1/Order/wait_delay/export`,
			method: 'post',
			responseType: 'blob',
			data,
		},
		{
			reduce_data_format: false,
		}
	);
};
/**
 * @description 延期审批 单个
 * @param {object} data
 */
export const delayApproval = (data: object) => {
	return request({
		url: `/api/v1/OrderDelay/review`,
		method: 'post',
		data,
	});
};
/**
 * @description 延期审批批量
 * @param {object} data
 */
export const delayApprovalBatch = (data: object) => {
	return request({
		url: `/api/v1/OrderDelay/batch-review`,
		method: 'post',
		data,
	});
};
